Bug 1536690 - SELinux denial of 'kexec' trying to read the vmlinuz file
Summary: SELinux denial of 'kexec' trying to read the vmlinuz file
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: selinux-policy
Version: 7.4
Hardware: Unspecified
OS: Linux
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Lukas Vrabec
QA Contact: Milos Malik
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-01-19 23:11 UTC by Micah Abbott
Modified: 2018-10-30 10:02 UTC (History)
7 users (show)

Fixed In Version: selinux-policy-3.13.1-203.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-30 10:02:20 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2018:3111 None None None 2018-10-30 10:02:49 UTC

Description Micah Abbott 2018-01-19 23:11:59 UTC
Using RHELAH 7.4.4, I'm seeing a denials like so:

# journalctl -b | grep 'avc:  denied'                                                
Jan 19 17:52:04 dhcp-41-226.bos.redhat.com kernel: type=1400 audit(1516402324.116:5): avc:  denied  { read } for  pid=15497 comm="kexec" name="vmlinuz-3.10.0-693.17.1.el7.x86_64" dev="sda1" ino=786497 scontext=system_u:system_r:kdump_t:s0 tcontext=system_u:object_r:modules_object_t:s0 tclass=file                   
Jan 19 17:52:04 dhcp-41-226.bos.redhat.com kernel: type=1400 audit(1516402324.116:6): avc:  denied  { read } for  pid=15497 comm="kexec" name="vmlinuz-3.10.0-693.17.1.el7.x86_64" dev="sda1" ino=786497 scontext=system_u:system_r:kdump_t:s0 tcontext=system_u:object_r:modules_object_t:s0 tclass=file                   
Jan 19 17:52:04 dhcp-41-226.bos.redhat.com kernel: type=1400 audit(1516402324.116:7): avc:  denied  { read } for  pid=15497 comm="kexec" name="vmlinuz-3.10.0-693.17.1.el7.x86_64" dev="sda1" ino=786497 scontext=system_u:system_r:kdump_t:s0 tcontext=system_u:object_r:modules_object_t:s0 tclass=file                   


I can't seem to determine any ill effects from this denial, but reporting it here anyway.


# rpm-ostree status
State: idle
Deployments:
● rhel-atomic-host-ostree:rhel-atomic-host/7/x86_64/standard
                   Version: 7.4.4 (2018-01-19 17:43:39)
                    Commit: 91b59e14c4eef641f388cbc5b2cbbdd4653a89f4053d684217d9c1c9394c3dd3
              GPGSignature: Valid signature by 567E347AD0044ADE55BA8A5F199E2F91FD431D51


# rpm -q selinux-policy
selinux-policy-3.13.1-166.el7_4.7.noarch

Comment 2 Milos Malik 2018-01-22 07:14:21 UTC
I believe that some files in /boot directory are mislabeled. Can run following command on the machine, where you see the SELinux denials, and paste here the output?

# ls -Z /boot

Thanks

Comment 4 Micah Abbott 2018-01-23 12:26:22 UTC
(In reply to Milos Malik from comment #2)
> I believe that some files in /boot directory are mislabeled. Can run
> following command on the machine, where you see the SELinux denials, and
> paste here the output?
> 
> # ls -Z /boot
> 
> Thanks

# ls -Z /boot
drwxr-xr-x. root root system_u:object_r:boot_t:s0      efi
drwx------. root root system_u:object_r:boot_t:s0      grub2
-rw-------. root root system_u:object_r:boot_t:s0      initramfs-3.10.0-693.11.6.el7.x86_64.img
lrwxrwxrwx. root root system_u:object_r:boot_t:s0      loader -> loader.0
drwxr-xr-x. root root system_u:object_r:boot_t:s0      loader.0
drwxr-xr-x. root root system_u:object_r:boot_t:s0      ostree

Comment 6 Micah Abbott 2018-03-03 02:27:41 UTC
Is this BZ related:  https://bugzilla.redhat.com/show_bug.cgi?id=1536991

They look awfully similar and may have been fixed by a change to ostree.

Comment 10 errata-xmlrpc 2018-10-30 10:02:20 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:3111


Note You need to log in before you can comment on or make changes to this bug.